AI タスクは非同期です。機能ごとに Webhook がサポートされている場合は、Webhook による完了処理を優先します。Webhook エンドポイントを設定し、Webhook 署名を検証したうえで、success または error の通知が来たら、受け取った task_id を使ってタスクの結果を照会します。設定と検証の詳細は Webhook 統合ガイド を参照してください。
Webhook がサポートされていない場合、または統合に使えない場合は、ポーリングを実装します。AI タスクを送信した後、一定の間隔(例:10 秒ごと)でステータスエンドポイントをポーリングし、success または error になるまで待ちます。
セキュリティ
BearerAuthenticationV2
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/body-reshape
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/body-reshape \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"version": "1.0",
"index": 0,
"features": {
"arm": 0,
"breast": 0,
"breast_left": 0,
"breast_right": 0,
"hip": 0,
"hip_lift": 0,
"leg": 0,
"neck": 0,
"neck_left": 0,
"neck_right": 0,
"shoulder": 0,
"shoulder_left": 0,
"shoulder_right": 0,
"squared_shoulder": 0,
"squared_shoulder_left": 0,
"squared_shoulder_right": 0,
"slim": 0,
"taller": 0,
"waist": 0,
"belly": 0
}
}'レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }